# IsFailure

Implements \Condition

Condition to test a return-code for failure.

author | Siad Ardroumli siad.ardroumli@gmail.com
package | phing.tasks.system

### Methods

## Fulfill the condition interface.

    evaluate() : boolean

### Response

`boolean`

the result of evaluating the specified return code.

## Get the return code that will be checked by this IsFailure condition.

    getCode() : integer

### Response

`integer`

return code as int.

## Checks whether exitValue signals a failure on the current system.

    isFailureCode(integer $code) : boolean

### Arguments

#### $code

`integer`

### Response

`boolean`

## Set the return code to check.

    setCode(integer $c)

### Arguments

#### $c

`integer`

the return code.

### Properties

## code

    code : integer

var |

### Type(s)

`integer`